//*****************************************************************************
//
// File Name	: 'headers.h'
// Title		: Generic header definitions
// Author		: Michael Meyer
// Created		: October 2009
// Version		: 
// Target MCU	: AVR ATmega 16
//
//
//
//*****************************************************************************
#ifndef _HEADERS_H
#define _HEADERS_H

#include <avr/io.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <string.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <avr/interrupt.h> 	


//*****************************************************************************
// General definitions

#define	TRUE			1
#define	FALSE			0

//*****************************************************************************
// Definitions for generic structures

//*****************************************************************************
// Definitions for generic structures

//*****************************************************************************
// All necessary includes.
// Sequence is necessary as there are some dependecies, not automatically covered

#include "HWConfig.h"
#include "FreeRTOS.h"
#include "task.h"
#include "queue.h"
#include "semphr.h"

#include "Delay.h"
#include "SDCard/fat.h"
#include "SDCard/fat_config.h"
#include "SDCard/partition.h"
#include "SDCard/sd_raw.h"
#include "SDCard/sd_raw_config.h"
#include "TmrTask.h"
#include "Fram.h"
#include "Wlan.h"
#include "Km271Task.h"
#include "UpdateTask.h"


//*****************************************************************************
// Exported variables from Man
extern uint8_t	ManResCnt EEMEM;				// number of resets

//*****************************************************************************
// Function prototypes for main

#endif
