//*****************************************************************************
//
// File Name	: 'TmrTask.h'
// Title		: Definitions related to Control handling
// Author		: Michael Meyer
// Created		: 16.10.2009
// Version		: 
// Target MCU	: AVR ATmega 128
// Indicator	: TMR
//
//*****************************************************************************

#ifndef	_TMR_H
#define	_TMR_H

//*****************************************************************************
// Defines for the TimerTask

#define	TMR_TMR_PRIO			tskIDLE_PRIORITY + 2	// low priority for timer task
#define	TMR_DATE_SIZE			12						// size of TmrDate
#define	TMR_TIME_SIZE			10						// size of TmrTime

//*****************************************************************************
// The structures
// The time structure, stores times
typedef struct {
	volatile uint8_t second;				// current second
	volatile uint8_t minute;				// current minute
	volatile uint8_t hour;					// current hour
	volatile uint8_t day;					// current day
	volatile uint8_t wday;					// current wday (1-7 for Mo-So)
	volatile uint8_t month;					// current month
	volatile uint8_t year;					// current year (2 last digits)
} TmrTime_s;

//*****************************************************************************
// Variables exported
extern xTaskHandle 				xTmrTaskHandle;
extern TmrTime_s volatile		TmrTime;					// the actual time

//*****************************************************************************
// Function prototypes for the temperature handling
extern uint8_t TmrTaskInit(void);

#endif
