//*****************************************************************************
//
// File Name	: 'UpdateTask.h'
// Title		: Definitions related to Control handling
// Author		: Michael Meyer
// Created		: 16.10.2009
// Version		: 
// Target MCU	: AVR ATmega 128
// Indicator	: UPD
//
//*****************************************************************************

#ifndef	_UPD_H
#define	_UPD_H

//*****************************************************************************
// Defines for the Update Task

#define	UPD_UPD_PRIO			tskIDLE_PRIORITY + 1	// low priority for timer task

// the different sources for the update task
// lower values are reserved for index of KM task -> start at 200 for other
#define	UPD_S_10STIMER			200
#define	UPD_S_1MTIMER			201
#define	UPD_S_10MTIMER			202
#define	UPD_S_SYNC_TIMER		203
#define	UPD_S_DAY_TIMER			204

// some flags
typedef struct {
	uint8_t	TimeValid:1;
	uint8_t	StoreEvent:1;
} Flags_s;

//*****************************************************************************
// The structures


//*****************************************************************************
// Variables exported
extern xTaskHandle 				xUpdTaskHandle;
extern xQueueHandle 			qUpdQueue;				// the handle to the Update queue
extern Flags_s					UpdFlags;		
extern struct fat_file_struct	*DbgFile;				// the file to log all events (debug)	

//*****************************************************************************
// Function prototypes for the temperature handling
extern uint8_t UpdTaskInit(void);

#endif
