//*****************************************************************************
//
// File Name	: 'Wlan.h'
// Title		: Definitions WLAN implementation 
// Author		: Michael Meyer
// Created		: 12.06.2009
// Version		: 
// Target MCU	: AVR ATmega 128
// Indicator	: WLAN
//
//
//*****************************************************************************

#ifndef _WLAN_H
#define _WLAN_H

 
//*****************************************************************************
// General definitions

#define	WLAN_BLOCK()			{xSemaphoreTake(qWLANMutex, portMAX_DELAY);}
#define	WLAN_RELEASE()			{xSemaphoreGive(qWLANMutex);}

extern uint16_t	volatile WLANTmeOut;

//*****************************************************************************
// Function prototypes for TWISlave

extern void 	WLANInit(void);
extern void 	WLANSendCom(char *Com, uint8_t InFlash);
extern int16_t	WLANGetResp(char *Resp, uint16_t MaxLen);
extern int16_t	WLANGetSLNK(char *Resp, uint16_t MaxLen);
extern uint8_t	WLANWriteByteSPI(uint8_t Data);
extern void 	WLANSpiInit(void);

#endif
